# Dependencies
require 'ostruct'

# Services
require 'aigu-rails/accent'

# Version
require 'aigu-rails/version'

module Aigu
  module Rails
    # Constants
    API_URL = 'https://accent.mirego.com'.freeze
    DEFAULT_PATH = '/public_api/latest_revision'.freeze

    # Errors
    Error = Class.new(StandardError)

    def self.configure
      yield(self.configuration)
    end

    def self.configuration
      @configuration ||= OpenStruct.new(
        api_url: API_URL,
        default_path: DEFAULT_PATH
      )
    end

    def self.reload_locales!(locale:)
      Accent::LocaleReloader.new(locale: locale).reload!
    rescue
      raise Error
    end
  end
end
