module Aigu
  module Rails
    module Accent
      class LocaleDownloader
        def initialize(locale:)
          @locale = locale
        end

        def download!
          File.open(input_filename, 'w') do |file|
            file.write(parsed_response)
          end
        end

        def self.connection
          @connection ||= Faraday.new(url: Aigu::Rails.configuration.api_url)
        end

      protected

        def parsed_response
          JSON.parse(response.body).to_json
        end

        def input_filename
          "#{::Rails.root}/tmp/locales.json"
        end

        def response
          self.class.connection.get do |req|
            req.url Aigu::Rails.configuration.default_path
            req.headers['Authorization'] = Aigu::Rails.configuration.api_key
            req.params = {
              language: @locale,
              render_format: 'json',
              render_filename: 'locales.json'
            }
          end
        end
      end
    end
  end
end
