module Aigu
  module Rails
    module Accent
      class LocaleImporter
        def initialize(locale:)
          @locale = locale
        end

        def import!
          Aigu::Importer.new(
            :'input-file' => input_filename,
            :'output-directory' => output_directory,
            :'locale' => @locale
          ).process!
        end

      protected

        def input_filename
          "#{::Rails.root}/tmp/locales.json"
        end

        def output_directory
          "#{::Rails.root}/config/locales/"
        end
      end
    end
  end
end
