module Aigu
  module Rails
    module Accent
      class LocaleReloader
        def initialize(locale:)
          @locale = locale
        end

        def reload!
          # Download the file from Accent
          downloader.download!

          # Process the file with aigu
          importer.import!

          # Reload Rails locales
          I18n.reload!
        end

      protected

        def downloader
          LocaleDownloader.new(locale: @locale)
        end

        def importer
          LocaleImporter.new(locale: @locale)
        end
      end
    end
  end
end
